Subject: bug#29737: 27.0.50; pixel-scroll-mode is laggy

From: Tak Kunihiro <[email-masked]>
Date: Sun, 24 Dec 2017 11:28:23 +0900 (JST)

> When I slowly start scrolling, it scrolls for a while and then jumps
> about 10 rows at the time, then scrolls a bit more and jumps again
> If I swipe my trackpad too fast, emacs instantly eats 100% CPU and
> hangs infinitely (it hangs not every time, but rather once in a
> while.  It can just go to the end of the file).
>
> If I scroll with Ctrl-key as Eli suggested in the first thread mail,
> it scrolls better than before the fix, but I still see this lag
> pattern (scroll a bit and then jump), but in the smaller scale and
> it doesn't kill emacs.  Setting mouse-wheel-progressive-speed to nil
> seem to make no difference.
>
> Btw, while I do use macbook, my OS is Arch Linux here.  Just tried
> it on mac os. pixel-scroll-mode works much better here though there
> is still small noticeable lag. And also I can see that scroll up
> lagging more than scroll down.

Can you try scrolling with following configuration?

  (setq mouse-wheel-scroll-amount '(1 ((shift) . 5) ((control))))
  (setq mouse-wheel-progressive-speed nil)

Those are two that are already suggested by Eli.  Please try both at
the same time.